// SPDX-License-Identifier: (GPL-2.0+ or MIT)
/*
 * Copyright (C) 2021 liujuan1@allwinnertech.com
 */

#ifndef _DT_BINDINGS_CLK_SUN55IW3_H_
#define _DT_BINDINGS_CLK_SUN55IW3_H_

#define CLK_PLL_CPU0		0
#define CLK_PLL_DDR		1
#define CLK_PLL_PERI0_PARENT	2
#define CLK_PLL_PERI0_800M	3
#define CLK_PLL_PERI0_480M	4
#define CLK_PLL_PERI1_PARENT	5
#define CLK_PLL_PERI1_800M	6
#define CLK_PLL_PERI1_480M	7
#define CLK_PLL_GPU		8
#define CLK_PLL_VIDEO0_2X	9
#define CLK_PLL_VIDEO0_1X	10
#define CLK_PLL_VIDEO1_2X	11
#define CLK_PLL_VIDEO1_1X	12
#define CLK_PLL_VIDEO2_2X	13
#define CLK_PLL_VIDEO2_1X	14
#define CLK_PLL_VE		15
#define CLK_PLL_VIDEO3_2X	16
#define CLK_PLL_VIDEO3_1X	17
#define CLK_PLL_NPU_2X		18
#define CLK_PLL_NPU_1X		19
#define CLK_CPU			20
#define CLK_CPU_AXI		21
#define CLK_CPU_APB		22
#define CLK_CPU_PERI		23
#define CLK_TRACE		24
#define CLK_DSU_PARENTS		25
#define CLK_AHB			26
#define CLK_APB0		27
#define CLK_APB1		28
#define CLK_MBUS		29
#define CLK_NSI			30
#define CLK_GIC			31
#define CLK_DE			32
#define CLK_DE0			33
#define CLK_DI			34
#define CLK_BUS_DI		35
#define CLK_G2D			36
#define CLK_BUS_G2D		37
#define CLK_CPU_CORE		38
#define CLK_GPU			39
#define CLK_CE			40
#define CLK_CE_SYS		41
#define CLK_BUS_CE		42
#define CLK_VE			43
#define CLK_BUS_VE		44
#define CLK_NPU			45
#define CLK_DMA			46
#define CLK_MSGBOX1		47
#define CLK_MSGBOX0		48
#define CLK_SPINLOCK		49
#define CLK_TIMER		50
#define CLK_DBGSYS		51
#define CLK_PWM			52
#define CLK_IOMMU		53
#define CLK_TIMER0		54
#define CLK_TIMER1		55
#define CLK_TIMER2		56
#define CLK_TIMER3		57
#define CLK_TIMER4		58
#define CLK_TIMER5		59
#define CLK_DRAM		60
#define CLK_NAND_MBUS_GATE	61
#define CLK_NPU_MBUS_GATE	62
#define CLK_VID_IN_MBUS_GATE	63
#define CLK_VID_OUT_MBUS_GATE	64
#define CLK_CE_MBUS_GATE	65
#define CLK_VE_MBUS_GATE	66
#define CLK_DMA_MBUS_GATE	67
#define CLK_BUS_DRAM		68
#define CLK_NAND0		69
#define CLK_NAND0_CLK0		70
#define CLK_NAND0_CLK1		71
#define CLK_SMHC0		72
#define CLK_SMHC1		73
#define CLK_SMHC2		74
#define CLK_BUS_SMHC2		75
#define CLK_BUS_SMHC1		76
#define CLK_BUS_SMHC0		77
#define CLK_SYSDAP		78
#define CLK_UART7		79
#define CLK_UART6		80
#define CLK_UART5		81
#define CLK_UART4		82
#define CLK_UART3		83
#define CLK_UART2		84
#define CLK_BUS_UART1		85
#define CLK_BUS_UART0		86
#define CLK_TWI5		87
#define CLK_TWI4		88
#define CLK_TWI3		89
#define CLK_TWI2		90
#define CLK_TWI1		91
#define CLK_TWI0		92
#define CLK_CAN0		93
#define CLK_SPI0		94
#define CLK_SPI1		95
#define CLK_SPI2		96
#define CLK_SPIF		97
#define CLK_BUS_SPIF		98
#define CLK_BUS_SPI2		99
#define CLK_BUS_SPI1		100
#define CLK_BUS_SPI0		101
#define CLK_GMAC0_25M		102
#define CLK_GMAC0_25M_CLK_SRC	103
#define CLK_GMAC1_25M		104
#define CLK_GMAC1_25M_CLK_SRC	105
#define CLK_GMAC1		106
#define CLK_GMAC0		107
#define CLK_IRRX		108
#define CLK_BUS_IRRX		109
#define CLK_IRTX		110
#define CLK_BUS_IRTX		111
#define CLK_GPADC_24M		112
#define CLK_GPADC		113
#define CLK_THS			114
#define CLK_USB			115
#define CLK_USB0		116
#define CLK_USB1		117
#define CLK_USBOTG0		118
#define CLK_USBEHCI1		119
#define CLK_USBEHCI0		120
#define CLK_USBOHCI1		121
#define CLK_USBOHCI0		122
#define CLK_LRADC		123
#define CLK_PCIE_REF_ALT	124
#define CLK_PCIE_REF		125
#define CLK_PCIE		126
#define CLK_DPSS_TOP0		127
#define CLK_DPSS_TOP1		128
#define CLK_HDMI_24M		129
#define CLK_HDMI_CEC		130
#define CLK_HDMI		131
#define CLK_DSI0		132
#define CLK_DSI1		133
#define CLK_BUS_DSI1		134
#define CLK_BUS_DSI0		135
#define CLK_VO0_TCONLCD0	136
#define CLK_VO0_TCONLCD1	137
#define CLK_VO1_TCONLCD0	138
#define CLK_COMBPHY0		139
#define CLK_COMBPHY1		140
#define CLK_BUS_VO1_TCONLCD0	141
#define CLK_BUS_VO0_TCONLCD1	142
#define CLK_BUS_VO0_TCONLCD0	143
#define CLK_TCONTV		144
#define CLK_TCONTV1		145
#define CLK_BUS_TCONTV1		146
#define CLK_BUS_TCONTV		147
#define CLK_LEDC		148
#define CLK_EDP			149
#define CLK_BUS_LEDC		150
#define CLK_CSI			151
#define CLK_CSI_MASTER0		152
#define CLK_CSI_MASTER1		153
#define CLK_CSI_MASTER2		154
#define CLK_CSI_MASTER3		155
#define CLK_BUS_CSI		156
#define CLK_ISP			157
#define CLK_DSP			158
#define CLK_CPUS_HCLK_GATE	159
#define CLK_SPIF_MBUS_AHB_GATE	160
#define CLK_GMAC1_MBUS_AHB_GATE	161
#define CLK_GMAC0_MBUS_AHB_GATE	162
#define CLK_SMHC2_MBUS_AHB_GATE	163
#define CLK_SMHC1_MBUS_AHB_GATE	164
#define CLK_SMHC0_MBUS_AHB_GATE	165
#define CLK_USB_MBUS_AHB_GATE	166
#define CLK_GMAC1_AHB_GATE	167
#define CLK_GMAC0_AHB_GATE	168
#define CLK_SMHC2_AHB_GATE	169
#define CLK_SMHC1_AHB_GATE	170
#define CLK_SMHC0_AHB_GATE	171
#define CLK_USB_AHB_GATE	172
#define CLK_VID_OUT_AHB_GATE	173
#define CLK_VID_IN_AHB_GATE	174
#define CLK_VE_AHB_GATE		175
#define CLK_NPU_AHB_GATE	176
#define CLK_FANOUT_25M		177
#define CLK_FANOUT_16M		178
#define CLK_FANOUT_12M		179
#define CLK_FANOUT_24M		180
#define CLK_CLK27M_FANOUT	181
#define CLK_CLK_FANOUT		182
#define CLK_FANOUT2		183
#define CLK_FANOUT1		184
#define CLK_FANOUT0		185

#define CLK_MAX_NO		CLK_FANOUT0

#endif /* _DT_BINDINGS_CLK_SUN55IW3_H_ */
